## python-shogun 3.2.0

=== examples/CMakeLists.txt ===
IF (NOT TRAVIS_DISABLE_LIBSHOGUN_TESTS AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/libshogun)
	add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/libshogun)
ENDIF()

IF (PythonModular AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/python_modular)
	add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/python_modular)
ENDIF()

# lua modular
IF (LuaModular AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/lua_modular)
	add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/lua_modular)
ENDIF()

# java modular
IF (JavaModular AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/java_modular)
	add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/java_modular)
ENDIF()

# ruby modular
IF (RubyModular AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/ruby_modular)
	add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/ruby_modular)
ENDIF()

# octave modular
IF (OctaveModular AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/octave_modular)
	add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/octave_modular)
ENDIF()

# csharp modular
IF (CSharpModular AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/csharp_modular)
	add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/csharp_modular)
ENDIF()

# r modular
IF (RModular AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/r_modular)
	add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/r_modular)
ENDIF()

# perl modular
IF (PerlModular AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/perl_modular)
	#add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/perl_modular)
ENDIF()

IF (MatlabStatic AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/matlab_static)
	#add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/matlab_static)
ENDIF()

IF (CmdLineStatic AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/undocumented/cmdline_static)
	add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/undocumented/cmdline_static)
ENDIF()

=== debian/changelog ===
python-shogun (3.2.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on clang (not clang-3.4) on [mips mipsel powerpc].
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #766022.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 20 Oct 2014 10:42:32 +0100

python-shogun (3.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on libjson-c-dev instead of libjson-c2-dev (Closes: #745012,
  #758010).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Sep 2014 23:30:19 +0200

python-shogun (3.2.0-5) unstable; urgency=low

  * Build depend on libjson-c2-dev instead of libjson-c-dev (Closes: #745012)

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 08 Jul 2014 19:35:49 +0200

python-shogun (3.2.0-4) unstable; urgency=low

  * Build depend on libarpack,libcolpack and use the same sse disable tactics
  for i386 archs as for the shogun package.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 08 Jul 2014 19:16:41 +0200

python-shogun (3.2.0-3) unstable; urgency=low

  * Build depend on libjson-c-dev instead of libjson0-dev (Closes: #745012)
  * Add build-dependency on colpack.

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 05 Jul 2014 20:55:00 +0200

python-shogun (3.2.0-2) unstable; urgency=low

  * Require swig version >= 3.0

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 05 Jul 2014 07:57:11 +0200

python-shogun (3.2.0-1) unstable; urgency=low

  * New upstream version
  * Update watch file
  * Require new libshogun version to build

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 28 Feb 2014 06:18:12 +0100

python-shogun (3.1.1-7) unstable; urgency=low

  * fix typo clang3.4 -> clang-3.4

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 28 Feb 2014 05:50:03 +0100

python-shogun (3.1.1-6) unstable; urgency=low

  * Use clang 3.4 instead of (non-available) clang 3.5.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 28 Feb 2014 00:07:48 +0100

python-shogun (3.1.1-5) unstable; urgency=low

  * Use clang to build on mips, mipsel, powerpc

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 23 Feb 2014 19:30:07 +0100

python-shogun (3.1.1-4) unstable; urgency=low

  * Drop ghostscript, graphviz and doxygen-latex dependencies since
  documentation is already built in the libshogun pkg.

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 23 Feb 2014 12:32:23 +0100

python-shogun (3.1.1-3) unstable; urgency=low

  * Disable ccache to fix FTBS with ccache-swig

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 23 Feb 2014 11:57:03 +0100

python-shogun (3.1.1-2) unstable; urgency=low

  * Move package to section python (fixes a lintian warning).

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 01 Feb 2014 22:15:01 +0100

python-shogun (3.1.1-1) unstable; urgency=low

  * New upstream version
  * Rewrite packaging
    - use separate source file for python interface to ensure that python is
    not blocking core libshogun and other interfaces
    - convert package to use dh
    - include static and modular python interfaces
    - add package for debug symbols

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 05 Jan 2014 09:35:46 +0100

shogun (3.1.0-1) unstable; urgency=low

  * New upstream version
  * Bump standards version to 3.9.5 (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 05 Jan 2014 08:34:52 +0100

shogun (3.0.1~git20131115.557741b-2) unstable; urgency=low

  * Depend on libglpk-dev.
  * Bump compat version to 9.
  * Replace shogun-dbg with libshogun-dbg (Closes: #729705).
  * Fix minor typo in documentation.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 15 Nov 2013 17:32:52 +0100

shogun (3.0.1~git20131115.557741b-1) unstable; urgency=low

  * New upstream version (+additional bugfixes from current git)
  * Rewrite packaging to use debhelper and cmake: Drop all static and modular
  interfaces from this source package and do these later for each individual
  interface with separate source packages to keep shogun in debian.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 15 Nov 2013 14:28:11 +0100

shogun (1.1.0-6) unstable; urgency=low

  * Fix error occurring on package upgrades (Closes: #682166)

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 30 Jun 2012 22:52:04 +0200

shogun (1.1.0-5) unstable; urgency=low

  * Disable 'libatlas-base-dev' build dependency for armhf builds. Thanks
  Hector Oron for the patch. (Closes: #667468)
  * Add temporary workaround for FTBFS with ld --as-needed. Thanks Leo Iannacone
  for the patch. (Closes: #657434)
  * Upload to unstable. (Closes: #669005)

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 24 Jan 2012 20:19:47 +0100

shogun (1.1.0-4) unstable; urgency=low

  [ Jo Shields ]
  * debian/rules:
    + Include workaround for CDBS throwing away vital packaging data
      required by dh_clideps to resolve dependencies.
  * debian/control:
    + Scrap unneeded manual dependencies on libmono-corlib4.0-cil and 
      libshogun11 (Closes: #657096).

  [ Soeren Sonnenburg ]
  * Build depend on libhdf5-dev (>= 1.8.8~) | libhdf5-serial-dev instead of
  just libhdf5-dev.
  * Temporarily drop octave build dependencies from debian/control.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 24 Jan 2012 17:05:48 +0100

shogun (1.1.0-3) unstable; urgency=low

  * Make csharp package depend on libmono-corlib4.0-cil; remove csharp:Depends
  or csharp:Provides and use cli:Depends in debian/control (Closes: #656757).

 -- Soeren Sonnenburg <sonne@debian.org>  Mon, 23 Jan 2012 09:05:31 +0100

shogun (1.1.0-2) unstable; urgency=low

  * Build depend on libhdf5-dev instead of libhdf5-serial-dev to accommodate
  hdf5 transition.
  * Build depend on mono-devel and cli-common-dev instead of mono2.0-devel and
  use include cli.make in debian rules. (Closes: #656757).
  * Use dmcs instead of gmcs (Closes: #656756).

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 22 Jan 2012 19:26:12 +0100

shogun (1.1.0-1) unstable; urgency=low

  * New upstream version with major feature enhancements.


=== debian/control ===
Source: python-shogun
Section: python
Priority: optional
Maintainer: Soeren Sonnenburg <sonne@debian.org>
Build-Depends: libatlas-base-dev [!powerpc !alpha !arm !armel !armhf !sh4] | liblapack-dev,
 libeigen3-dev, debhelper (>= 9), libreadline-dev | libreadline5-dev, libblas-dev,
 libglpk-dev, libnlopt-dev, libshogun-dev (>= 3.2.0~), liblzo2-dev, zlib1g-dev, liblzma-dev,
 libxml2-dev, libjson-c-dev | libjson0-dev, cmake, libarpack2-dev, libsnappy-dev,
 libhdf5-dev (>= 1.8.8~) | libhdf5-serial-dev, swig3.0 (>= 3.0.2-1~),
 python-numpy (>= 1:1.7.1-1~), python-all-dev (>= 2.7.0-1~),
 libprotobuf-dev, protobuf-compiler, libcurl4-gnutls-dev, libbz2-dev, libcolpack-dev,
 clang [mips mipsel powerpc]
#python3-numpy (>= 1:1.7.1-1~), python3-all-dev (>= 3.3.0-1~),
X-Python-Version: >= 2.7
#X-Python3-Version: >= 3.3
Standards-Version: 3.9.5
Homepage: http://www.shogun-toolbox.org
Vcs-Svn: http://bollin.googlecode.com/svn/python-shogun/trunk/
Vcs-Browser: http://bollin.googlecode.com/svn/python-shogun/trunk/

Package: python-shogun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libshogun16
Recommends: python-matplotlib, python-scipy
Provides: ${python:Provides}
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several
 different SVM implementations. Each of the SVMs can be combined with a variety
 of the many kernels implemented. It can deal with weighted linear combination
 of a number of sub-kernels, each of which not necessarily working on the same
 domain, where  an optimal sub-kernel weighting can be learned using Multiple
 Kernel Learning.  Apart from SVM 2-class classification and regression
 problems, a number of linear methods like Linear Discriminant Analysis (LDA),
 Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
 train hidden markov models are implemented. The input feature-objects can be
 dense, sparse or strings and of type int/short/double/char and can be
 converted into different feature types. Chains of preprocessors (e.g.
 substracting the mean) can be attached to each feature object allowing for
 on-the-fly pre-processing.
 .
 SHOGUN comes in different flavours, a stand-a-lone version and also with
 interfaces to Matlab(tm), R, Octave, Readline and Python. This package contains
 the static and the modular Python interfaces.

Package: python-shogun-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, python-shogun (= ${binary:Version})
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several
 different SVM implementations. Each of the SVMs can be combined with a variety
 of the many kernels implemented. It can deal with weighted linear combination
 of a number of sub-kernels, each of which not necessarily working on the same
 domain, where  an optimal sub-kernel weighting can be learned using Multiple
 Kernel Learning.  Apart from SVM 2-class classification and regression
 problems, a number of linear methods like Linear Discriminant Analysis (LDA),
 Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
 train hidden markov models are implemented. The input feature-objects can be
 dense, sparse or strings and of type int/short/double/char and can be
 converted into different feature types. Chains of preprocessors (e.g.
 substracting the mean) can be attached to each feature object allowing for
 on-the-fly pre-processing.
 .
 SHOGUN comes in different flavours, a stand-a-lone version and also with
 interfaces to Matlab(tm), R, Octave, Readline and Python. This package contains
 the debug symbols for the static and the modular Python interfaces.

#Package: python3-shogun
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libshogun16
#Recommends: python3-matplotlib, python3-scipy
#Provides: ${python3:Provides}
#Description: Large Scale Machine Learning Toolbox
# SHOGUN - is a new machine learning toolbox with focus on large scale kernel
# methods and especially on Support Vector Machines (SVM) with focus to
# bioinformatics. It provides a generic SVM object interfacing to several
# different SVM implementations. Each of the SVMs can be combined with a variety
# of the many kernels implemented. It can deal with weighted linear combination
# of a number of sub-kernels, each of which not necessarily working on the same
# domain, where  an optimal sub-kernel weighting can be learned using Multiple
# Kernel Learning.  Apart from SVM 2-class classification and regression
# problems, a number of linear methods like Linear Discriminant Analysis (LDA),
# Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
# train hidden markov models are implemented. The input feature-objects can be
# dense, sparse or strings and of type int/short/double/char and can be
# converted into different feature types. Chains of preprocessors (e.g.
# substracting the mean) can be attached to each feature object allowing for
# on-the-fly pre-processing.
# .
# SHOGUN comes in different flavours, a stand-a-lone version and also with
# interfaces to Matlab(tm), R, Octave, Readline and Python. This package contains
# the static and the modular Python 3 interfaces.

=== debian/watch ===
version=3
http://ftp.debian.org/debian/pool/main/s/shogun/shogun_([\d\.]+).orig.tar.xz \
 debian debian/orig-tar.sh
